/**
 * Copyright (C) 2019 LinkedIn Corp.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.linkedin.android.testbutler;

interface ButlerApi {
    boolean setWifiState(boolean enabled);

    /**
     * Param should be one of Settings.Secure.LOCATION_MODE_X
     */
    boolean setLocationMode(int locationMode);

    /**
     * Param should be one of Surface.ROTATION_X
     */
    boolean setRotation(int rotation);

    boolean setGsmState(boolean enabled);

    boolean grantPermission(String packageName, String permission);

    boolean setSpellCheckerState(boolean enabled);

    boolean setShowImeWithHardKeyboardState(boolean enabled);

    boolean setImmersiveModeConfirmation(boolean enabled);

    boolean setAlwaysFinishActivitiesState(boolean enabled);
}
